Package org.apache.tapestry5.internal.bindings

## Class NullFieldStrategyBindingFactory

- java.lang.Object
- - org.apache.tapestry5.internal.bindings.NullFieldStrategyBindingFactory

- All Implemented Interfaces:
    `BindingFactory`

      public class NullFieldStrategyBindingFactory
      extends java.lang.Object
      implements BindingFactory

  Treats the expression as the name of a `NullFieldStrategy`, accessed via the `NullFieldStrategySource` service.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NullFieldStrategyBindingFactory​(NullFieldStrategySource strategySource)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Binding` | `newBinding​(java.lang.String description, ComponentResources container, ComponentResources component, java.lang.String expression, Location location)` | Creates a new binding instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NullFieldStrategyBindingFactory

          public NullFieldStrategyBindingFactory​(NullFieldStrategySource strategySource)

  - ### Method Detail

    - #### newBinding

          public Binding newBinding​(java.lang.String description,
                                    ComponentResources container,
                                    ComponentResources component,
                                    java.lang.String expression,
                                    Location location)

      Description copied from interface: `BindingFactory`
      Creates a new binding instance. The binding represents a connection between the container and the component (the component is usually the child of the component, though in a few cases, it is the component itself). In most cases, the expression is evaluated in terms of the resources of the container and the component is ignored.
      Specified by:
        `newBinding` in interface `BindingFactory`
      Parameters:
        `description` - of the binding, such as, "parameter foo"
        `container` - the component, as represented by its resources, for which a binding is to be created.
        `component` - the component whose parameter is to be bound by the resulting binding (rarely used)
        `location` - from which the binding was generate, or null if not known
      Returns:
        the new binding instance